/*
 * $Id: VKCTemplate.java,v 1.5 2004/07/20 08:18:23 jonyp Exp $
 *
 * Copyright (c) Siemens AG 2008 
 *           (c) Universität Paderborn 2008 
 * Licensed under EUPL 1.1. 
 *
 * $Log: VKCTemplate.java,v $
 * Revision 1.5  2004/07/20 08:18:23  jonyp
 * added copyright info + cvs log
 *
 * Revision 1.4  2004/05/12 09:44:43  jonyp
 * + icon method
 *
 * Revision 1.3  2003/08/27 13:07:24  jonyp
 * *** empty log message ***
 *
 * Revision 1.2  2003/08/27 11:43:19  jonyp
 * additional flag enabled
 *
 * Revision 1.1  2003/08/02 16:11:03  bigmac
 * *** empty log message ***
 *
 */
package vkc.db.entities;

import java.io.Serializable;


/**
 * Class represents information about a installed VKC template
 * <p>
 * @author Hardy Höfer
 */
public final class VKCTemplate implements Serializable {

    private Integer templateId = new Integer(-1);
    private String name = null;
    private String path = null;
    private String description = null;
    private String previewPicture = null;
	private java.lang.Integer enabled = new Integer(0);

    public VKCTemplate() {
    }

    public String getDescription() {
        return description;
    }

    public String getName() {
        return name;
    }

    public String getPath() {
        return path;
    }

    public String getPreviewPicture() {
        return previewPicture;
    }

    public Integer getTemplateId() {
        return templateId;
    }

	public Integer getEnabled() {
		return enabled;
	}

    public void setDescription(String string) {
        description = string;
    }

    public void setName(String string) {
        name = string;
    }

    public void setPath(String string) {
        path = string;
    }

    public void setPreviewPicture(String string) {
        previewPicture = string;
    }

    public void setTemplateId(Integer id) {
        templateId = id;
    }
    
	public void setEnabled(Integer enabled) {
			this.enabled = enabled;
	}
	
	public String getTemplateIcon() {
		return "";	
	}
}
